/*
 * Copyright (c) 2011, FERMI NATIONAL ACCELERATOR LABORATORY
 * All rights reserved. 
 *
 * For details of the Fermitools (BSD) license see LICENSE-Fermitools or
 *  http://fermitools.fnal.gov/about/terms.html
 */

#ifndef LCMAPS_GLEXEC_TRACKING
#define LCMAPS_GLEXEC_TRACKING

// Parameters to the module.  Each takes an argument unless noted.
//   Each is optional unless noted.

// Path to the executable for glexec_monitor.  Required.
#define PLUGIN_GLEXEC_TRACKING_EXEC "-exec"
// Directory to find sbin/procd or sbin/condor_procd and related tools.
//  Default is /usr.
#define PLUGIN_GLEXEC_TRACKING_PROCDDIR  "-procddir"
// Directory to write out a log file.  Default is to use syslog.
#define PLUGIN_GLEXEC_TRACKING_LOGDIR  "-logdir"
// Use local time zone in logdir log file. Default is UTC. Takes no argument.
#define PLUGIN_GLEXEC_TRACKING_DATETIME_LOCAL  "-datetime-local"
// Minimum tracking group number.  Default 65000.
#define PLUGIN_GLEXEC_TRACKING_MIN_GID  "-min-gid"
// Maximum tracking group number.  Default 65049.
#define PLUGIN_GLEXEC_TRACKING_MAX_GID  "-max-gid"
// Don't kill leftover child processes after main exits. Default is to 
//   kill them.  Takes no argument.
#define PLUGIN_GLEXEC_TRACKING_DONT_KILL_LEFTOVERS "-dont-kill-leftovers"

#define MAX_INT_STR 64

#endif
